%define snapshot 0
%define date 20130523

%define qtmajor 5
%define qtminor 6
%define qtsubminor 2

%define rel 2
%define pre rc

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%if %snapshot
%define qttarballdir qtdoc-opensource-src-%{qtversion}-%pre
%else
%define qttarballdir qtdoc-opensource-src-%{qtversion}
%endif

Name: qtdoc5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt5 Documentation
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.gz
BuildRequires: qtbase5-devel
BuildRequires: qtscript5-devel
BuildRequires: qtsvg5-devel
BuildRequires: qtxmlpatterns5-devel
BuildRequires: qttools5-assistant
BuildRequires: qttools5
 
BuildArch: noarch

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt5 Documentation.

%files
# Need to be splitted ?
%doc %{_qt5_docdir}/qtdoc.qch
%doc %{_qt5_docdir}/qtdoc/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtdoc-opensource-src-%{qtversion}

%build
%qmake_qt5
%make_build docs

%install
%make_install install_docs INSTALL_ROOT=%{buildroot}


%changelog
* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-2.mga6
+ Revision: 1065048
- Rebuild against qtbase 5.6.2

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064819
- New version 5.6.2

* Sun Jul 03 2016 neoclust <neoclust> 5.6.1-2.mga6
+ Revision: 1038371
- Update to version 5.6.1-1
- New version

* Fri Mar 18 2016 neoclust <neoclust> 5.6.0-2.mga6
+ Revision: 992740
- Fix release

* Wed Mar 16 2016 neoclust <neoclust> 5.6.0-1.rc.2.mga6
+ Revision: 992261
- New version

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.2.mga6
+ Revision: 987841
- Rebuild Qt5 Stack to fix plasma crashes

* Sun Feb 28 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980607
+ rebuild (emptylog)

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915934
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 915796
- Rebuild against new cmake to have cmake() provides

* Sat Dec 19 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 911872
- New version 5.6.0 beta

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 900387
- Rebuild against fixed qtbase5

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894494
- New version

  + filipesaraiva <filipesaraiva>
    - Update to Qt 5.5.0 version;
    - Fix URL to new address qt.io;

* Thu Jun 25 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 843926
- New version 5.5 rc

* Fri Dec 12 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802796
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801798
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 744990
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 738088
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639774
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624091
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621407
- 5.3.0 rc

* Sat Apr 05 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612017
- 5.3.0beta

* Thu Feb 06 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 584384
- 5.2.1

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556737
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554401
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547075
- 5.2.0 beta1

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 5.2.0-1.alpha.1.mga4
+ Revision: 491147
- 5.2.0alpha1

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428817
- Rebuild against new qt5 libs location

* Sun May 26 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 428218
- New QT 5.2 Snapshot
- New QT 5.2 Snapshot

* Thu Apr 18 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410413
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 394025
- New version 5.0.1 Final

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392335
- New version 5.0.1 rc1

* Fri Jan 25 2013 fwang <fwang> 5.0.0-1.mga3
+ Revision: 392257
- install docs
- it should be a noarch package now
- br qhelpgenerator
- make docs
- 5.0.0 final

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + neoclust <neoclust>
    - New daily rc snapshot

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 319206
- imported package qtdoc5

